<!-- Main container -->
<nav class="level">
  <!-- Left side -->
  <div class="level-left">
    <div class="level-item">
      <div class="tabs">
        <ul>
          <li class="is-active">
            <a class="is-size-6" href="#time">
              By Time
            </a>
          </li>
          <li>
            <a class="is-size-6" href="#level">
              By Level
            </a>
          </li>
        </ul>
      </div>
    </div>
  </div>

  <!-- Right side -->
  <div class="level-right">
    <div class="level-item">
      <span class="tag is-link is-light">
        {{now}}
      </span>
    </div>
    <div class="level-item">
      <label class="checkbox is-small is-size-6">
        <input
          id="chkRefresh"
          oninput="changeRefresh(this)"
          type="checkbox"
          class="is-small"
          checked
        />
        <span class="icon">
          <ion-icon name="refresh-outline"></ion-icon>
        </span>
      </label>
    </div>
    <div class="select is-small mt-1 mx-1 level-item">
      <select id="selRefreshTime">
        <option value="10000">10s</option>
        <option value="30000">30s</option>
        <option value="60000">1m</option>
        <option value="120000">2m</option>
        <option value="300000">5m</option>
        <option value="600000">10m</option>
      </select>
    </div>
     <div class="is-small mt-1 mx-1 level-item">
      <a href="/app/challenge/{{challengeId}}" class="button is-primary" >Back to Challenge</a>
     </div>
  </div>
</nav>

<div class="columns">
<div class="tabContent column is-9" id="time" style="display: none;">
  <section class="leaderboard-container">
    <div class="columns is-multiline">
      {{#each byTime}}
        <div class="column is-low-padding is-3-desktop is-6-tablet">
          <div class="card">
            <div class="card-content">
              <div class="media is-align-items-center">
                <div class="media-left media-avatar">
                  <figure class="image is-64x64">
                    {{#if picture}}
                      <img
                        src="{{picture}}"
                        alt="Profile picture of {{name}}"
                        style="border-radius: 50% !important;"
                      />
                    {{else}}
                      <img
                        src="/img/press-kit-icon.svg"
                        alt="GitLab logo as a placeholder as this user does not have a profile picture"
                      />
                    {{/if}}
                  </figure>
                </div>
                <div class="media-content">
                  <div class="is-flex is-align-items-center">
                    <h3 class="title is-size-5" style="white-space: wrap; text-overflow: ellipsis;">
                      {{name}}
                    </h3>
                  </div>
                  <p class="subtitle is-size-6" style="white-space: wrap; text-overflow: ellipsis;">
                    @{{gitlab_handle}}
                  </p>
                </div>
              </div>
              <div class="content">
                <article class="message is-success">
                  <div
                    class="message-body is-size-4 is-flex is-mid-padding is-justify-content-space-between"
                  >
                    <span style="white-space: nowrap; text-overflow: clip;">
                      Level
                      {{levelDetails.level}}
                      {{randomEmoji}}
                    </span>
                    <span class="">
                      <span class="tag is-link is-light">
                        {{fromNow complete_time}}
                      </span>
                    </span>
                  </div>
                </article>
              </div>
            </div>
          </div>
        </div>
      {{/each}}
    </div>
  </section>
</div>

<div class="tabContent" id="level" style="display: none;">
  {{#each levelDetails}}
    <section class="section">
      <div class="box is-relative is-clipped">
        <div
          class="pt-1 has-background-primary"
          style="position: absolute; top: 0; left: 0; width: 100%;"
        ></div>
        <div
          class="is-flex is-justify-content-space-between is-align-items-center"
        >
          <span class="tag is-primary is-large">
            Level
            {{level}}
          </span>
          <h3 class="title mb-0 is-size-3">
            {{title}}
          </h3>
          <span class="tag is-link is-large is-light">
            {{#if completed}}
              {{completed}}
            {{else}}
              0
            {{/if}}
            completed
          </span>
        </div>
      </div>
      <div class="columns is-multiline">
        {{#each thisLevelCompletedDetails}}
          <div class="column is-3-desktop is-6-tablet">
            <div class="card">
              <div class="card-content">
                <div class="media is-align-items-center">
                  <div class="media-left">
                    <figure class="image is-64x64">
                      {{#if picture}}
                        <img
                          src="{{picture}}"
                          alt="Profile picture of {{name}}"
                          style="border-radius: 50% !important;"
                        />
                      {{else}}
                        <img
                          src="/img/press-kit-icon.svg"
                          alt="GitLab logo as a placeholder as this user does not have a profile picture"
                        />
                      {{/if}}
                    </figure>
                  </div>
                  <div class="media-content">
                    <div class="is-flex is-align-items-center">
                      <h3 class="title is-size-5">
                        {{name}}
                      </h3>
                    </div>
                    <p class="subtitle is-size-6">
                      @{{gitlab_handle}}
                    </p>
                  </div>
                  <div class="media-right has-text-centered">
                    <span class="icon is-large has-text-success">
                      <ion-icon name="checkbox-outline" size="large"></ion-icon>
                    </span>
                    <br />
                    <span class="tag is-link is-light">
                      {{fromNow complete_time}}
                    </span>
                  </div>
                </div>
              </div>
            </div>
          </div>
        {{/each}}
      </div>

    </section>
  {{/each}}
</div>

<div class="column ">

  <div class="is-centered ">
    <h2 class="has-text-black has-text-centered is-size-3">{{challenge.lb_message_title}}</h2>
    <p class="has-text-grey is-size-4 has-text-centered">
      {{challenge.lb_message_content}}
    </p>

  </div>
  <figure class="image is-flex is-justify-content-center">
    <img class="is-centered mt-5" width="250px" height="250px" src="{{qr_code}}" alt="" />
  </figure>
  

</div>
</div>

{{#section "script"}}
  <script>
    $(function() {
      const urlParams = new URLSearchParams(location.search);
      const chkRefresh = $('#chkRefresh');
      const selRefreshTime = $('#selRefreshTime');
      if (!localStorage.getItem("refreshTime")) localStorage.setItem("refreshTime", 30000)
      selRefreshTime.val(localStorage.getItem("refreshTime"));

      $('.tabContent').hide();
      $('.tabContent:first').fadeIn("slow");
      $('.tabs ul li a').click(function () {
        const thisTab = $(this);
        var t = thisTab.attr('href');
        $('.tabs ul li').removeClass('is-active');
        thisTab.parent('li').addClass('is-active');
        const url = new URL(window.location);
        url.searchParams.set('tab', t.replace('#', ''));
        window.history.pushState(null, '', url.toString());
        $('.tabContent').hide();
        $(t).fadeIn();
        return false;
      });

      const selectedTab = urlParams.get("tab");
      if (selectedTab) {
          $('.tabContent').hide();
          $('.tabs ul li').removeClass('is-active');
          $(`#${selectedTab}`).fadeIn();
      }

      selRefreshTime.change(function () {
        localStorage.setItem("refreshTime", selRefreshTime.val());
        location.reload();
      })

      lsCheck = localStorage.getItem("refreshLeaderboard");

      if (lsCheck === "no") chkRefresh.prop("checked", false);

      

      setTimeout(() => {
          console.log('checking...');
          if (chkRefresh.is(':checked')) {
            console.log("refreshing");
            location.reload();
          }   
      }, localStorage.getItem("refreshTime"));
  });

  function changeRefresh(box) {
      if (box.checked) {
        localStorage.setItem("refreshLeaderboard", "yes");
        $('#selRefreshTime').pro
        location.reload();
      } else {
        localStorage.setItem("refreshLeaderboard", "no");
      }
  }
  </script>
{{/section}}